%{?nodejs_find_provides_and_requires}

%global packagename matched

# tests disabled because the tests don't seem to match up with the code
# in any reasonable way to be able to pass
# See https://github.com/jonschlinkert/matched/issues/3
%global enable_tests 0

Name:		nodejs-matched
Version:	0.4.2
Release:	1%{?dist}
Summary:	Adds array support to node-glob, sync and async

License:	MIT
URL:		https://github.com/jonschlinkert/matched
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Readme
Source11:	https://raw.githubusercontent.com/jonschlinkert/matched/master/README.md


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arr-union)
BuildRequires:	npm(lazy-cache)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(arr-union)
BuildRequires:	npm(async-array-reduce)
BuildRequires:	npm(bluebird)
BuildRequires:	npm(chai)
BuildRequires:	npm(extend-shallow)
BuildRequires:	npm(fs-exists-sync)
BuildRequires:	npm(glob)
BuildRequires:	npm(has-glob)
BuildRequires:	npm(is-valid-glob)
BuildRequires:	npm(resolve-dir)
BuildRequires:	npm(rimraf)
%endif

%description
Adds array support to node-glob, sync and async. Also supports tilde expansion
(user home) and resolving to global npm modules.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

cp -p %{SOURCE11} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ln -s %{nodejs_sitelib}/chai node_modules/chai
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.3-1
- Initial packaging
